com.ibm.openpages.api.workflow

## Interface IWFDateEval

- All Superinterfaces:
    IWFEvalUnit

      public interface IWFDateEval
      extends IWFEvalUnit

  Interface that represents date evaluation in the context of process instance. The base date is evaluated first and the evaluation is expected to result in a date. The base date can be a string evaluation with ISO format ( uuuu-MM-dd ), predefined string expression "[$TODAY$]", object field whose data type is date, or combination of complex logic such as `IWFIfElseEval` or `IWFSwitchesEval`. Then the days addition is evaluated if it is not null. The evaluation is expected to result in long. The result days are added to the base date. It can be negative value to subtract days from the base date. Lastly the `WFDateAlterOperation` is evaluated to adjust the date to first/last day of the month, the quarter or the year. Both days-addition and date-alter-operation are optional and can be null.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFEvalUnit` | `getBaseDate()` Returns base date evaluation unit.
    `WFDateAlterOperation` | `getDateAlterOperation()` Returns operation to alter the date
    `IWFEvalUnit` | `getDaysAddition()` Returns days addition evaluation unit.
    `void` | `setBaseDate(IWFEvalUnit baseDate)` Assigns base date evaluation unit.
    `void` | `setDateAlterOperation(WFDateAlterOperation dateAlterOperation)` Assigns operation to alter the date
    `void` | `setDaysAddition(IWFEvalUnit daysAddition)` Assigns days addition evaluation unit.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getBaseDate

          IWFEvalUnit getBaseDate()

      Returns base date evaluation unit.
      Returns:

    - #### setBaseDate

          void setBaseDate(IWFEvalUnit baseDate)

      Assigns base date evaluation unit.
      Parameters:
        `baseDate` -

    - #### getDaysAddition

          IWFEvalUnit getDaysAddition()

      Returns days addition evaluation unit.
      Returns:

    - #### setDaysAddition

          void setDaysAddition(IWFEvalUnit daysAddition)

      Assigns days addition evaluation unit.
      Parameters:
        `daysAddition` -

    - #### getDateAlterOperation

          WFDateAlterOperation getDateAlterOperation()

      Returns operation to alter the date
      Returns:

    - #### setDateAlterOperation

          void setDateAlterOperation(WFDateAlterOperation dateAlterOperation)

      Assigns operation to alter the date
      Parameters:
        `dateAlterOperation` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.